(function(){
    angular.module("app.collect")
        .controller("logtoolCtrl",["$rootScope","$scope","HttpService","ToolService","UtilService",exportCtrl]);

    function exportCtrl($rootScope,$scope,HttpService,ToolService,UtilService){
    	$scope.query = function(){
            ToolService.showLoading()
            var listPM = HttpService.getInfo("logtool/"+$scope.appid);
            listPM.then(function(data){
                $scope.logdata = data;
                ToolService.hideLoading();
            });
    	}

        $scope.$watch("appid",function(n){
            if(angular.isDefined(n)){
                $scope.query();
            }
        });
    }
})();